org.apache.ignite.internal.processors.cache

## Enum GridCacheUpdateAtomicResult.UpdateOutcome

- java.lang.Object
- - java.lang.Enum<GridCacheUpdateAtomicResult.UpdateOutcome>
  - - org.apache.ignite.internal.processors.cache.GridCacheUpdateAtomicResult.UpdateOutcome

All Implemented Interfaces:
  Serializable, Comparable<GridCacheUpdateAtomicResult.UpdateOutcome>

Enclosing class:
  GridCacheUpdateAtomicResult

    public static enum GridCacheUpdateAtomicResult.UpdateOutcome
    extends Enum<GridCacheUpdateAtomicResult.UpdateOutcome>

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`CONFLICT_USE_OLD`
`FILTER_FAILED`
`INTERCEPTOR_CANCEL`
`INVOKE_NO_OP`
`REMOVE_NO_VAL`
`SUCCESS`
`VERSION_CHECK_FAILED`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`boolean` `sendToDht()`
`boolean` `success()`
`boolean` `updateReadMetrics()`
`static GridCacheUpdateAtomicResult.UpdateOutcome` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static GridCacheUpdateAtomicResult.UpdateOutcome[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### CONFLICT_USE_OLD

    public static final GridCacheUpdateAtomicResult.UpdateOutcome CONFLICT_USE_OLD

#### VERSION_CHECK_FAILED

    public static final GridCacheUpdateAtomicResult.UpdateOutcome VERSION_CHECK_FAILED

#### FILTER_FAILED

    public static final GridCacheUpdateAtomicResult.UpdateOutcome FILTER_FAILED

#### INVOKE_NO_OP

    public static final GridCacheUpdateAtomicResult.UpdateOutcome INVOKE_NO_OP

#### INTERCEPTOR_CANCEL

    public static final GridCacheUpdateAtomicResult.UpdateOutcome INTERCEPTOR_CANCEL

#### REMOVE_NO_VAL

    public static final GridCacheUpdateAtomicResult.UpdateOutcome REMOVE_NO_VAL

#### SUCCESS

    public static final GridCacheUpdateAtomicResult.UpdateOutcome SUCCESS

### Method Detail

#### values

    public static GridCacheUpdateAtomicResult.UpdateOutcome[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (GridCacheUpdateAtomicResult.UpdateOutcome c : GridCacheUpdateAtomicResult.UpdateOutcome.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static GridCacheUpdateAtomicResult.UpdateOutcome valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### success

    public boolean success()

Returns:
  Success flag.

#### sendToDht

    public boolean sendToDht()

Returns:
  Whether update should be propagated to DHT node.

#### updateReadMetrics

    public boolean updateReadMetrics()

Returns:
  Metrics update flag.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.8.1
Release Date | : May 21 2020